Subject: Re: [PATCH] declance: Remove `incompatible pointer type' warnings

From: Sergei Shtylyov <[email-masked]>
Date: Sun, 22 Sep 2013 02:41:36 +0400

Hello.

On 09/20/2013 03:49 AM, Maciej W. Rozycki wrote:

> Revert damage caused by 43d620c82985b19008d87a437b4cf83f356264f7:

    Please also specify that commit's summary in parens. That's the only way 
to uniquely identify a commit and makes life a bit easier when you browse the 
commits.

> .../declance.c: In function 'cp_to_buf':
> .../declance.c:347: warning: assignment from incompatible pointer type
> .../declance.c:348: warning: assignment from incompatible pointer type
> .../declance.c: In function 'cp_from_buf':
> .../declance.c:406: warning: assignment from incompatible pointer type
> .../declance.c:407: warning: assignment from incompatible pointer type

> Also add a `const' qualifier where applicable and adjust formatting.

> Signed-off-by: Maciej W. Rozycki <[email-masked]>

WBR, Sergei